/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.geoviewer.edit;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.BorderFactory;
import org.netbeans.api.visual.widget.Scene;
import org.netbeans.api.visual.widget.Widget;

/**
 *
 * @author Timon Veenstra
 */
public class GeoNodeWidget extends Widget {

    private final GeoNode geoNode;
    private static final int WIDTH = 20;
    private static final int HEIGHT = 20;
    private static final int THICKNESS = 4;

    public GeoNodeWidget(Scene scene, GeoNode geoNode) {
        super(scene);
        this.geoNode = geoNode;
        setPreferredSize(new Dimension(WIDTH, HEIGHT));
        setBorder(BorderFactory.createLineBorder(Color.RED, THICKNESS));
        setToolTipText(geoNode.toString());
    }

    public GeoNode getGeoNode() {
        return geoNode;
    }

    @Override
    protected void paintWidget() {
        super.paintWidget();
        Graphics g = getGraphics().create();
        g.setColor(Color.RED);
        g.fill3DRect(4, 4, 4, 4, true);
        g.dispose();
    }
}
